# network trunk

A network trunk is a container to group logical ports from different networks and provide a single trunked vNIC for servers. It consists of one parent port which is a regular VIF and multiple subports which allow the server to connect to more networks.

Network v2

## network subport list

List all subports for a given network trunk

    openstack network subport list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        --trunk <trunk>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--trunk <trunk>

  List only subports belonging to this trunk (name or ID)

## network trunk create

Create a network trunk for a given project

    openstack network trunk create
        [--description <description>]
        --parent-port <parent-port>
        [--subport <port=,segmentation-type=,segmentation-id=>]
        [--enable | --disable]
        [--project <project>]
        [--project-domain <project-domain>]
        <name>

--description <description>

  A description of the trunk

--parent-port <parent-port>

  Parent port belonging to this trunk (name or ID)

--subport <port=,segmentation-type=,segmentation-id=>

  Subport to add. Subport is of form ‘port=<name or ID>,segmentation-type=<segmentation-type>,segmentation-id=<segmentation-ID>’ (repeat option to add multiple subports)

--enable

  Enable trunk (default)

--disable

  Disable trunk

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

name

  Name of the trunk to create

## network trunk delete

Delete a given network trunk

    openstack network trunk delete <trunk> [<trunk> ...]

trunk

  Trunk(s) to delete (name or ID)

## network trunk list

List all network trunks

    openstack network trunk list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

## network trunk set

Set network trunk properties

    openstack network trunk set
        [--name <name>]
        [--description <description>]
        [--subport <port=,segmentation-type=,segmentation-id=>]
        [--enable | --disable]
        <trunk>

--name <name>

  Set trunk name

--description <description>

  A description of the trunk

--subport <port=,segmentation-type=,segmentation-id=>

  Subport to add. Subport is of form ‘port=<name or ID>,segmentation-type=<segmentation-type>,segmentation-id=<segmentation-ID>’ (repeat option to add multiple subports)

--enable

  Enable trunk

--disable

  Disable trunk

trunk

  Trunk to modify (name or ID)

## network trunk show

Show information of a given network trunk

    openstack network trunk show <trunk>

trunk

  Trunk to display (name or ID)

## network trunk unset

Unset subports from a given network trunk

    openstack network trunk unset --subport <subport> <trunk>

--subport <subport>

  Subport to unset (name or ID of the port) (repeat option to unset multiple subports)

trunk

  Unset subports from this trunk (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.